org.apache.cassandra.io.compress

## Class SnappyCompressor

- java.lang.Object
- - org.apache.cassandra.io.compress.SnappyCompressor

- All Implemented Interfaces:
    ICompressor

      public class SnappyCompressor
      extends java.lang.Object
      implements ICompressor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.io.compress.ICompressor

      `ICompressor.WrappedArray`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SnappyCompressor` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnappyCompressor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compress(byte[] input, int inputOffset, int inputLength, ICompressor.WrappedArray output, int outputOffset)`
    `static SnappyCompressor` | `create(java.util.Map<java.lang.String,java.lang.String> compressionOptions)`
    `int` | `initialCompressedBufferLength(int chunkLength)`
    `static boolean` | `isAvailable()`
    `java.util.Set<java.lang.String>` | `supportedOptions()`
    `int` | `uncompress(byte[] input, int inputOffset, int inputLength, byte[] output, int outputOffset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final SnappyCompressor instance

  - ### Constructor Detail

    - #### SnappyCompressor

          public SnappyCompressor()

  - ### Method Detail

    - #### create

          public static SnappyCompressor create(java.util.Map<java.lang.String,java.lang.String> compressionOptions)

    - #### isAvailable

          public static boolean isAvailable()

    - #### supportedOptions

          public java.util.Set<java.lang.String> supportedOptions()

      Specified by:
        `supportedOptions` in interface `ICompressor`

    - #### initialCompressedBufferLength

          public int initialCompressedBufferLength(int chunkLength)

      Specified by:
        `initialCompressedBufferLength` in interface `ICompressor`

    - #### compress

          public int compress(byte[] input,
                     int inputOffset,
                     int inputLength,
                     ICompressor.WrappedArray output,
                     int outputOffset)
                       throws java.io.IOException

      Specified by:
        `compress` in interface `ICompressor`
      Throws:
        `java.io.IOException`

    - #### uncompress

          public int uncompress(byte[] input,
                       int inputOffset,
                       int inputLength,
                       byte[] output,
                       int outputOffset)
                         throws java.io.IOException

      Specified by:
        `uncompress` in interface `ICompressor`
      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation